Loading...
Searching...
No Matches
irr::gui::IGUIStaticText Class Referenceabstract

Multi or single line text label. More...

`#include <IGUIStaticText.h>`

Inheritance diagram for irr::gui::IGUIStaticText:

## Public Member Functions

| IGUIStaticText (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor
virtual void | enableOverrideColor (bool enable)=0
| Sets if the static text should use the overide color or the color in the gui skin.
virtual IGUIFont * | getActiveFont () const =0
| Get the font which is used right now for drawing.
virtual video::SColor | getBackgroundColor () const =0
| Gets the background color.
virtual video::SColor | getOverrideColor (void) const =0
| Gets the override color.
virtual IGUIFont * | getOverrideFont (void) const =0
| Gets the override font (if any).
virtual s32 | getTextHeight () const =0
| Returns the height of the text in pixels when it is drawn.
virtual s32 | getTextWidth (void) const =0
| Returns the width of the current text, in the current font.
virtual bool | isDrawBackgroundEnabled () const =0
| Checks if background drawing is enabled.
virtual bool | isDrawBorderEnabled () const =0
| Checks if border drawing is enabled.
virtual bool | isOverrideColorEnabled (void) const =0
| Checks if an override color is enabled.
virtual bool | isRightToLeft () const =0
| Checks whether the text in this element should be interpreted as right-to-left.
virtual bool | isTextRestrainedInside () const =0
| Checks if the text in this label should be clipped if it goes outside bounds.
virtual bool | isWordWrapEnabled (void) const =0
| Checks if word wrap is enabled.
virtual void | setBackgroundColor (video::SColor color)=0
| Sets another color for the background.
virtual void | setDrawBackground (bool draw)=0
| Sets whether to draw the background.
virtual void | setDrawBorder (bool draw)=0
| Sets whether to draw the border.
virtual void | setOverrideColor (video::SColor color)=0
| Sets another color for the text.
virtual void | setOverrideFont (IGUIFont *font=0)=0
| Sets another skin independent font.
virtual void | setRightToLeft (bool rtl)=0
| Set whether the string should be interpreted as right-to-left (RTL) text.
virtual void | setTextAlignment (EGUI_ALIGNMENT horizontal, EGUI_ALIGNMENT vertical)=0
| Sets text justification mode.
virtual void | setTextRestrainedInside (bool restrainedInside)=0
| Set whether the text in this label should be clipped if it goes outside bounds.
virtual void | setWordWrap (bool enable)=0
| Enables or disables word wrap for using the static text as multiline text control.
Public Member Functions inherited from irr::gui::IGUIElement
| IGUIElement (EGUI_ELEMENT_TYPE type, IGUIEnvironment *environment, IGUIElement *parent, s32 id, const core::rect< s32 > &rectangle)
| Constructor.
virtual | ~IGUIElement ()
| Destructor.
virtual void | addChild (IGUIElement *child)
| Adds a GUI element as new child of this element.
virtual bool | bringToFront (IGUIElement *element)
| Brings a child to front.
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the scene node.
virtual void | draw ()
| Draws the element and its children.
core::rect< s32 > | getAbsoluteClippingRect () const
| Returns the visible area of the element.
core::rect< s32 > | getAbsolutePosition () const
| Gets the absolute rectangle of this element.
virtual const core::list< IGUIElement * > & | getChildren () const
| Returns list with children of this element.
virtual IGUIElement * | getElementFromId (s32 id, bool searchchildren=false) const
| Finds the first element with the given id.
IGUIElement * | getElementFromPoint (const core::position2d< s32 > &point)
| Returns the topmost GUI element at the specific position.
virtual s32 | getID () const
| Returns id. Can be used to identify the element.
virtual const c8 * | getName () const
| Returns the name of the element.
bool | getNextElement (s32 startOrder, bool reverse, bool group, IGUIElement *&first, IGUIElement *&closest, bool includeInvisible=false) const
| searches elements to find the closest next element to tab to
IGUIElement * | getParent () const
| Returns parent of this element.
core::rect< s32 > | getRelativePosition () const
| Returns the relative rectangle of this element.
IGUIElement * | getTabGroup ()
| Returns the container element which holds all elements in this element's tab group.
s32 | getTabOrder () const
| Returns the number in the tab order sequence.
virtual const wchar_t * | getText () const
| Returns caption of this element.
virtual const core::stringw & | getToolTipText () const
| Returns caption of this element.
EGUI_ELEMENT_TYPE | getType () const
| Returns the type of the gui element.
virtual const c8 * | getTypeName () const
| Returns the type name of the gui element.
virtual bool | hasType (EGUI_ELEMENT_TYPE type) const
| Returns true if the gui element supports the given type.
virtual bool | isEnabled () const
| Returns true if element is enabled.
bool | isMyChild (IGUIElement *child) const
bool | isNotClipped () const
| Gets whether the element will ignore its parent's clipping rectangle.
virtual bool | isPointInside (const core::position2d< s32 > &point) const
| Returns true if a point is within this element.
virtual bool | isSubElement () const
| Returns true if this element was created as part of its parent control.
bool | isTabGroup () const
| Returns true if this element is a tab group.
bool | isTabStop () const
| Returns true if this element can be focused by navigating with the tab key.
virtual bool | isVisible () const
| Returns true if element is visible.
virtual void | move (core::position2d< s32 > absoluteMovement)
| Moves this element.
virtual bool | OnEvent (const SEvent &event)
| Called if an event happened.
virtual void | OnPostRender (u32 timeMs)
| animate the element and its children.
virtual void | remove ()
| Removes this element from its parent.
virtual void | removeChild (IGUIElement *child)
| Removes a child.
virtual bool | sendToBack (IGUIElement *child)
| Moves a child to the back, so it's siblings are drawn on top of it.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the scene node.
void | setAlignment (EGUI_ALIGNMENT left, EGUI_ALIGNMENT right, EGUI_ALIGNMENT top, EGUI_ALIGNMENT bottom)
| The alignment defines how the borders of this element will be positioned when the parent element is resized.
virtual void | setEnabled (bool enabled)
| Sets the enabled state of this element.
virtual void | setID (s32 id)
| Sets the id of this element.
void | setMaxSize (core::dimension2du size)
| Sets the maximum size allowed for this element.
void | setMinSize (core::dimension2du size)
| Sets the minimum size allowed for this element.
virtual void | setName (const c8 *name)
| Sets the name of the element.
virtual void | setName (const core::stringc &name)
| Sets the name of the element.
void | setNotClipped (bool noClip)
| Sets whether the element will ignore its parent's clipping rectangle.
void | setRelativePosition (const core::position2di &position)
| Sets the relative rectangle of this element, maintaining its current width and height.
void | setRelativePosition (const core::rect< s32 > &r)
| Sets the relative rectangle of this element.
void | setRelativePositionProportional (const core::rect< f32 > &r)
| Sets the relative rectangle of this element as a proportion of its parent's area.
virtual void | setSubElement (bool subElement)
| Sets whether this control was created as part of its parent.
void | setTabGroup (bool isGroup)
| Sets whether this element is a container for a group of elements which can be navigated using the tab key.
void | setTabOrder (s32 index)
| Sets the priority of focus when using the tab key to navigate between a group of elements.
void | setTabStop (bool enable)
| If set to true, the focus will visit this element when using the tab key to cycle through elements.
virtual void | setText (const wchar_t *text)
| Sets the new caption of this element.
virtual void | setToolTipText (const wchar_t *text)
| Sets the new caption of this element.
virtual void | setVisible (bool visible)
| Sets the visible state of this element.
virtual void | updateAbsolutePosition ()
| Updates the absolute position.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.
Public Member Functions inherited from irr::IEventReceiver
virtual | ~IEventReceiver ()
| Destructor.

## Additional Inherited Members

Protected Member Functions inherited from irr::gui::IGUIElement
void | addChildToEnd (IGUIElement *child)
void | recalculateAbsolutePosition (bool recursive)
Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.
Protected Attributes inherited from irr::gui::IGUIElement
core::rect< s32 > | AbsoluteClippingRect
| absolute clipping rect of element
core::rect< s32 > | AbsoluteRect
| absolute rect of element
EGUI_ALIGNMENT | AlignBottom
EGUI_ALIGNMENT | AlignLeft
| tells the element how to act when its parent is resized
EGUI_ALIGNMENT | AlignRight
EGUI_ALIGNMENT | AlignTop
core::list< IGUIElement * > | Children
| List of all children of this element.
core::rect< s32 > | DesiredRect
IGUIEnvironment * | Environment
| GUI Environment.
s32 | ID
| users can set this for identificating the element by integer
bool | IsEnabled
| is enabled?
bool | IsSubElement
| is a part of a larger whole and should not be serialized?
bool | IsTabGroup
| tab groups are containers like windows, use ctrl+tab to navigate
bool | IsTabStop
| tab stop like in windows
bool | IsVisible
| is visible?
core::rect< s32 > | LastParentRect
| for calculating the difference when resizing parent
core::dimension2du | MaxSize
| maximum and minimum size of the element
core::dimension2du | MinSize
core::stringc | Name
| users can set this for identificating the element by string
bool | NoClip
| does this element ignore its parent's clipping rectangle?
IGUIElement * | Parent
| Pointer to the parent.
core::rect< s32 > | RelativeRect
| relative rect of element
core::rect< f32 > | ScaleRect
| relative scale of the element inside its parent
s32 | TabOrder
| tab order
core::stringw | Text
| caption
core::stringw | ToolTipText
| tooltip
EGUI_ELEMENT_TYPE | Type
| type of element

## Detailed Description

Multi or single line text label.

Definition at line 18 of file IGUIStaticText.h.

## Constructor & Destructor Documentation

## IGUIStaticText()

irr::gui::IGUIStaticText::IGUIStaticText | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle )

inline

constructor

Definition at line 23 of file IGUIStaticText.h.

References irr::gui::IGUIElement::IGUIElement(), and irr::gui::EGUIET_STATIC_TEXT.

## Member Function Documentation

## enableOverrideColor()

virtual void irr::gui::IGUIStaticText::enableOverrideColor | ( | bool | enable | ) |

pure virtual

Sets if the static text should use the overide color or the color in the gui skin.

Parameters

  enable | If set to true, the override color, which can be set with IGUIStaticText::setOverrideColor is used, otherwise the EGDC_BUTTON_TEXT color of the skin.

## getActiveFont()

virtual IGUIFont * irr::gui::IGUIStaticText::getActiveFont | ( |  | ) | const

pure virtual

Get the font which is used right now for drawing.

Currently this is the override font when one is set and the font of the active skin otherwise

## getBackgroundColor()

virtual video::SColor irr::gui::IGUIStaticText::getBackgroundColor | ( |  | ) | const

pure virtual

Gets the background color.

Returns
  : The background color

## getOverrideColor()

virtual video::SColor irr::gui::IGUIStaticText::getOverrideColor | ( | void |  | ) | const

pure virtual

Gets the override color.

Returns
  : The override color

## getOverrideFont()

virtual IGUIFont * irr::gui::IGUIStaticText::getOverrideFont | ( | void |  | ) | const

pure virtual

Gets the override font (if any).

Returns
  The override font (may be 0)

## getTextHeight()

virtual s32 irr::gui::IGUIStaticText::getTextHeight | ( |  | ) | const

pure virtual

Returns the height of the text in pixels when it is drawn.

This is useful for adjusting the layout of gui elements based on the height of the multiline text in this element.

Returns
  Height of text in pixels.

## getTextWidth()

virtual s32 irr::gui::IGUIStaticText::getTextWidth | ( | void |  | ) | const

pure virtual

Returns the width of the current text, in the current font.

If the text is broken, this returns the width of the widest line

Returns
  The width of the text, or the widest broken line.

## isDrawBackgroundEnabled()

virtual bool irr::gui::IGUIStaticText::isDrawBackgroundEnabled | ( |  | ) | const

pure virtual

Checks if background drawing is enabled.

Returns
  true if background drawing is enabled, false otherwise

## isDrawBorderEnabled()

virtual bool irr::gui::IGUIStaticText::isDrawBorderEnabled | ( |  | ) | const

pure virtual

Checks if border drawing is enabled.

Returns
  true if border drawing is enabled, false otherwise

## isOverrideColorEnabled()

virtual bool irr::gui::IGUIStaticText::isOverrideColorEnabled | ( | void |  | ) | const

pure virtual

Checks if an override color is enabled.

Returns
  true if the override color is enabled, false otherwise

## isRightToLeft()

virtual bool irr::gui::IGUIStaticText::isRightToLeft | ( |  | ) | const

pure virtual

Checks whether the text in this element should be interpreted as right-to-left.

## isTextRestrainedInside()

virtual bool irr::gui::IGUIStaticText::isTextRestrainedInside | ( |  | ) | const

pure virtual

Checks if the text in this label should be clipped if it goes outside bounds.

## isWordWrapEnabled()

virtual bool irr::gui::IGUIStaticText::isWordWrapEnabled | ( | void |  | ) | const

pure virtual

Checks if word wrap is enabled.

Returns
  true if word wrap is enabled, false otherwise

## setBackgroundColor()

virtual void irr::gui::IGUIStaticText::setBackgroundColor | ( | video::SColor | color | ) |

pure virtual

Sets another color for the background.

## setDrawBackground()

virtual void irr::gui::IGUIStaticText::setDrawBackground | ( | bool | draw | ) |

pure virtual

Sets whether to draw the background.

References irr::gui::IGUIElement::draw().

## setDrawBorder()

virtual void irr::gui::IGUIStaticText::setDrawBorder | ( | bool | draw | ) |

pure virtual

Sets whether to draw the border.

References irr::gui::IGUIElement::draw().

## setOverrideColor()

virtual void irr::gui::IGUIStaticText::setOverrideColor | ( | video::SColor | color | ) |

pure virtual

Sets another color for the text.

If set, the static text does not use the EGDC_BUTTON_TEXT color defined in the skin, but the set color instead. You don't need to call IGUIStaticText::enableOverrrideColor(true) after this, this is done by this function. If you set a color, and you want the text displayed with the color of the skin again, call IGUIStaticText::enableOverrideColor(false);

Parameters

  color | New color of the text.

## setOverrideFont()

virtual void irr::gui::IGUIStaticText::setOverrideFont | ( | IGUIFont * | font = 0 | ) |

pure virtual

Sets another skin independent font.

If this is set to zero, the button uses the font of the skin.

Parameters

  font | New font to set.

## setRightToLeft()

virtual void irr::gui::IGUIStaticText::setRightToLeft | ( | bool | rtl | ) |

pure virtual

Set whether the string should be interpreted as right-to-left (RTL) text.

Note
  This component does not implement the Unicode bidi standard, the text of the component should be already RTL if you call this. The main difference when RTL is enabled is that the linebreaks for multiline elements are performed starting from the end.

## setTextAlignment()

virtual void irr::gui::IGUIStaticText::setTextAlignment | ( | EGUI_ALIGNMENT | horizontal,
|  | EGUI_ALIGNMENT | vertical )

pure virtual

Sets text justification mode.

Parameters

  horizontal | EGUIA_UPPERLEFT for left justified (default), EGUIA_LOWEERRIGHT for right justified, or EGUIA_CENTER for centered text.
  vertical | EGUIA_UPPERLEFT to align with top edge (default), EGUIA_LOWEERRIGHT for bottom edge, or EGUIA_CENTER for centered text.

## setTextRestrainedInside()

virtual void irr::gui::IGUIStaticText::setTextRestrainedInside | ( | bool | restrainedInside | ) |

pure virtual

Set whether the text in this label should be clipped if it goes outside bounds.

## setWordWrap()

virtual void irr::gui::IGUIStaticText::setWordWrap | ( | bool | enable | ) |

pure virtual

Enables or disables word wrap for using the static text as multiline text control.

Parameters

  enable | If set to true, words going over one line are broken on to the next line.

The documentation for this class was generated from the following file:

- IGUIStaticText.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0